package cn.com.infosec.crypto.params;

import cn.com.infosec.crypto.KeyGenerationParameters;
import java.security.SecureRandom;

public class DHKeyGenerationParameters extends KeyGenerationParameters {
   private DHParameters params;

   public DHKeyGenerationParameters(SecureRandom random, DHParameters params) {
      super(random, params.getP().bitLength());
      this.params = params;
   }

   public DHParameters getParameters() {
      return this.params;
   }
}
